Package org.wildfly.plugin.tools

## Class PluginProgressTracker<T>

- java.lang.Object
- - org.wildfly.plugin.tools.PluginProgressTracker<T>

- All Implemented Interfaces:
    `org.jboss.galleon.progresstracking.ProgressCallback<T>`

      public class PluginProgressTracker<T>
      extends Object
      implements org.jboss.galleon.progresstracking.ProgressCallback<T>

  A `ProgressCallback` which logs the status.
  Author:
    jdenise@redhat.com

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.galleon.progresstracking.ProgressCallback

      `DEFAULT_PROGRESS_PULSE_PCT, DEFAULT_PULSE_INTERVAL_MS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` |
    `static void` | `initTrackers​(org.jboss.galleon.api.Provisioning pm, org.jboss.logging.Logger log)` | Creates a logging `ProgressTracker`.
    `void` | `processed​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` |
    `void` | `processing​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` |
    `void` | `pulse​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` |
    `void` | `starting​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.galleon.progresstracking.ProgressCallback

      `getMaxPulseIntervalMs, getMinPulseIntervalMs, getProgressPulsePct`

- - ### Method Detail

    - #### starting

          public void starting​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Specified by:
        `starting` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### processing

          public void processing​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Specified by:
        `processing` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### processed

          public void processed​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Specified by:
        `processed` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### pulse

          public void pulse​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Specified by:
        `pulse` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### complete

          public void complete​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Specified by:
        `complete` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### initTrackers

          public static void initTrackers​(org.jboss.galleon.api.Provisioning pm,
                                          org.jboss.logging.Logger log)

      Creates a logging `ProgressTracker`.
      Parameters:
        `pm` - the provisioning context
        `log` - the logger to write the progress to